/*
	Copyright 2009 Jerry Ylilammi
*/

#include "BerconShadeContext.h"

BerconShadeContext::BerconShadeContext(/*Matrix3 tm, Matrix3 itm*/) {
	mode = SCMODE_NORMAL;
	doMaps = TRUE;
	filterMaps = FALSE; // TODO: Should we filter or not?
	mtlNum = 0;
	shadow = FALSE;
	backFace = FALSE;
	ambientLight = Color(1.0f, 1.0f, 1.0f);
	nLights = 0;
	rayLevel = 0;
	//this->tm = tm;
	//this->itm = itm;
}

void BerconShadeContext::Init(Point3 worldPos) {
	this->worldPos = worldPos;
	//this->localPos = worldPos * itm;
}

Point3 BerconShadeContext::PointTo(const Point3& p, RefFrame ito) {
	Point3 res = p;
	//if (ito == REF_WORLD)		
		//res = res * tm;
	return res;
}

Point3 BerconShadeContext::PointFrom(const Point3& p, RefFrame ifrom) {
	Point3 res = p;
	//if (ifrom == REF_WORLD)		
		//res = res * itm;
	return res;
}

Point3 BerconShadeContext::VectorTo(const Point3& p, RefFrame ito) {
	Point3 res = p;
	//if (ito == REF_WORLD)		
		//res = tm.VectorTransform(res);
	return res;

}

Point3 BerconShadeContext::VectorFrom(const Point3& p, RefFrame ifrom) {
	Point3 res = p;
	//if (ifrom == REF_WORLD)		
		//res = itm.VectorTransform(res);
	return res;
}